Package net.sf.saxon.trace

## Class XSLTTraceListener

- java.lang.Object
- - net.sf.saxon.lib.StandardDiagnostics
  - - net.sf.saxon.trace.AbstractTraceListener
    - - net.sf.saxon.trace.XSLTTraceListener

- All Implemented Interfaces:
    `java.util.EventListener`, `TraceListener`

      public class XSLTTraceListener
      extends AbstractTraceListener

  A Simple trace listener for XSLT that writes messages (by default) to System.err

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.trace.AbstractTraceListener

      `indent, out`

    - ### Fields inherited from class net.sf.saxon.lib.StandardDiagnostics

      `MAX_MESSAGE_LENGTH, MAX_MESSAGE_LINE_LENGTH, MIN_MESSAGE_LINE_LENGTH, TARGET_MESSAGE_LINE_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XSLTTraceListener()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CodeInjector` | `getCodeInjector()` | Get the associated CodeInjector to be used at compile time to generate the tracing calls
    `protected java.lang.String` | `getOpeningAttributes()` | Generate attributes to be included in the opening trace element
    `protected java.lang.String` | `tag​(Traceable info)` | Get the trace element tagname to be used for a particular construct.
    `static java.lang.String` | `tagName​(Traceable info)` |

    - ### Methods inherited from class net.sf.saxon.trace.AbstractTraceListener

      `close, endCurrentItem, endRuleSearch, enter, escape, getOutputDestination, isApplicable, leave, level, open, setLevelOfDetail, setOutputDestination, spaces, startCurrentItem, startRuleSearch`

    - ### Methods inherited from class net.sf.saxon.lib.StandardDiagnostics

      `abbreviateLocationURI, abbreviateLocationURIDefault, expandSpecialCharacters, formatListOfOffendingNodes, getInstructionName, getInstructionNameDefault, getLocationMessageText, printStackTrace, showOriginator, wordWrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTTraceListener

          public XSLTTraceListener()

  - ### Method Detail

    - #### getCodeInjector

          public CodeInjector getCodeInjector()

      Description copied from class: `AbstractTraceListener`
      Get the associated CodeInjector to be used at compile time to generate the tracing calls
      Overrides:
        `getCodeInjector` in class `AbstractTraceListener`

    - #### getOpeningAttributes

          protected java.lang.String getOpeningAttributes()

      Generate attributes to be included in the opening trace element
      Specified by:
        `getOpeningAttributes` in class `AbstractTraceListener`

    - #### tag

          protected java.lang.String tag​(Traceable info)

      Get the trace element tagname to be used for a particular construct. Return null for trace events that are ignored by this trace listener.
      Specified by:
        `tag` in class `AbstractTraceListener`
      Parameters:
        `info` -

    - #### tagName

          public static java.lang.String tagName​(Traceable info)